2.8.1: Güvenlik ve Küçük Yama Sürümü

Discourse 2.8.1 Kararlı Sürüm

Discourse, tüm sitelerin Discourse’ın varsayılan testlerden geçen dalını izlemesini şiddetle tavsiye eder. “Kararlı” dal, hata eksikliğinden daha çok değişiklik eksikliğine odaklanır - testlerden geçenler ve beta sürümleri de dahil olmak üzere tüm sürümler üretime hazırdır.

Değişiklikler

Güvenlik:

  • Onebox yanıt zaman aşımı ve boyut sınırı (CVE-2022-21684)

Özellik:

  • RS512, RS384 ve RS256 COSE algoritmaları
  • Çevirileri güncelle

Hata Düzeltme:

  • Yalnızca son hedefteki alan adlarını engelle
  • Uppy ile tablo yapıştırma sorunları

Ulaşılabilirlik:

  • autocomplete="off" kullanımına geçin

Geliştirici:

  • jQuery UI satıcı bağımlılıklarını kaldırın

Kaynak: 2.8.1: Security and Minor Patch Release - announcements - Discourse Meta